Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.remote
Class PersistenceManagerServerServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--kodo.remote.PersistenceManagerServerServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public class PersistenceManagerServerServlet
extends HttpServlet

Servlet that creates a server-side persistence manager factory and listens for requests from remote persistence managers configured with the HTTP remote transport. The persistence manager factory can be configured in several ways:

- Use an existing persistence manager factory bound in JNDI by specifying the JNDI location in the `kodo.jndi` servlet config property.
- Specify the resource name of a `kodo.properties` file in the `kodo.properties` servlet config property.
- Specify individual configuration properties in the servlet config properties. These individual properties override the same properties specified in the properties file if one is given.

See Also:
  Serialized Form

Constructor Summary
`PersistenceManagerServerServlet()`

Method Summary
`void` | `destroy()`
`void` | `doGet(HttpServletRequest req, HttpServletResponse resp)`
`void` | `doPost(HttpServletRequest req, HttpServletResponse resp)`
`protected PersistenceManagerFactory` | `getPersistenceManagerFactory(ServletConfig config)` Override this method to customize how the servlet's persistence manager factory is created and configured.
`void` | `init(ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManagerServerServlet

    public PersistenceManagerServerServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Overrides:
    `init` in class `GenericServlet`

### getPersistenceManagerFactory

    protected PersistenceManagerFactory getPersistenceManagerFactory(ServletConfig config)
                                                              throws ServletException

  Override this method to customize how the servlet's persistence manager factory is created and configured.

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws IOException,
                      ServletException

  Overrides:
    `doGet` in class `HttpServlet`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws IOException,
                       ServletException

  Overrides:
    `doPost` in class `HttpServlet`

### destroy

    public void destroy()

  Overrides:
    `destroy` in class `GenericServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.